Skip to main content
`Ctrl`+`K`

# PEPQArnoldiSetRestart

Sets the restart parameter for the Q-Arnoldi method, in particular the proportion of basis vectors that must be kept after restart.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPQArnoldiSetRestart(PEP pep,PetscReal keep)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- keep - the number of vectors to be kept at restart

## Options Database Key

- -pep_qarnoldi_restart <keep> - sets the restart parameter

## Note

Allowed values are in the range [0.1,0.9]. The default is 0.5.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPQARNOLDI`, `PEPQArnoldiGetRestart()`

## Level

advanced

## Location

src/pep/impls/krylov/qarnoldi/qarnoldi.c

## Implementations

PEPQArnoldiSetRestart_QArnoldi() in src/pep/impls/krylov/qarnoldi/qarnoldi.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages